<template>
  <button
    type="button"
    class="w-full rounded-lg bg-fuchsia-400 px-5 py-4 font-semibold text-white antialiased transition-all hover:scale-110 hover:bg-fuchsia-500 active:scale-90 disabled:scale-95 disabled:opacity-70"
    :disabled="disabled"
  >
    <slot />
  </button>
</template>

<script lang="ts" setup>
withDefaults(
  defineProps<{
    disabled: boolean;
  }>(),
  { disabled: false },
);
</script>
